Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.io.reader
Class AbstractNamedMatrixReader

    java.lang.Object
      baseCode.io.reader.AbstractNamedMatrixReader

Direct Known Subclasses:
  DoubleMatrixReader, SparseDoubleMatrixReader, SparseRaggedDouble2DNamedMatrixReader, StringMatrixReader

public abstract class AbstractNamedMatrixReader
extends java.lang.Object

Abstract class representing an object that can read in a `NamedMatrix`from a file.

Copyright (c) 2004

Institution:: Columbia University

Version:
  $Id: AbstractNamedMatrixReader.java,v 1.3 2004/08/11 22:53:43 pavlidis Exp $
Author:
  Paul Pavlidis

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`AbstractNamedMatrixReader()`

Method Summary
`abstract NamedMatrix` | `read(java.io.InputStream stream)`
`abstract NamedMatrix` | `read(java.lang.String filename)`
`protected java.util.Vector` | `readHeader(java.io.BufferedReader dis)`
`abstract NamedMatrix` | `readOneRow(java.io.BufferedReader dis)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### AbstractNamedMatrixReader

    public AbstractNamedMatrixReader()

Method Detail

### read

    public abstract NamedMatrix read(java.lang.String filename)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public abstract NamedMatrix read(java.io.InputStream stream)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### readOneRow

    public abstract NamedMatrix readOneRow(java.io.BufferedReader dis)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readHeader

    protected java.util.Vector readHeader(java.io.BufferedReader dis)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.